org.springframework.aop.framework

## Interface AdvisorChainFactory

All Known Implementing Classes:
  DefaultAdvisorChainFactory

    public interface AdvisorChainFactory

Factory interface for advisor chains.

Author:
  Rod Johnson, Juergen Hoeller

### Method Summary

Methods
`List<Object>` `getInterceptorsAndDynamicInterceptionAdvice(Advised config, Method method, Class targetClass)` Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

### Method Detail

#### getInterceptorsAndDynamicInterceptionAdvice

    List<Object> getInterceptorsAndDynamicInterceptionAdvice(Advised config,
                                                           Method method,
                                                           Class targetClass)

Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

Parameters:
  `config` - the AOP configuration in the form of an Advised object
  `method` - the proxied method
  `targetClass` - the target class
Returns:
  List of MethodInterceptors (may also include InterceptorAndDynamicMethodMatchers)